Subject: Ticket Assigned - Very delayed Return Request since March 30, 2022
From: Splash <[email-masked]>
To: [email-masked]
Date: Sat, 23 Apr 2022 06:08:10 +0000

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Very delayed Return Request since March 30, 2022 Hello, I am sending an email requesting you to highlight this with your
management as I had been calling every day to follow up on items that I
need to return, since March 30 and it has been 6 days and no one is taking
the items back!!

Can you please have a look at this my order number is *9562908324*

*I need an urgent response or callback from someone, a supervisor who can
professionally assist me.*

Thanks
Ryles
055 987 1834

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4121951